{#
/**
* @file
* Theme override for a select element.
*
* Available variables:
* - attributes: HTML attributes for the select tag.
* - options: The option element children.
*
* @see template_preprocess_select()
*/
#}
{%
  set classes = [
    customtype == 'standard' ? 'form-control',
    customtype == 'custom' ? 'custom-select',
  ]
%}

{% apply spaceless %}
  <select{{ attributes.addClass(classes) }}>
    {% for option in options %}
      {% if option.type == 'optgroup' %}
        <optgroup label="{{ option.label }}">
          {% for sub_option in option.options %}
            <option value="{{ sub_option.value }}"{{ sub_option.selected ? ' selected="selected"' }}>{{ sub_option.label }}</option>
          {% endfor %}
        </optgroup>
      {% elseif option.type == 'option' %}
        <option value="{{ option.value }}"{{ option.selected ? ' selected="selected"' }}>
          {% if option.label == '- Select -' %}
            &nbsp;
          {% else %}
            {{ option.label }} ↓
          {% endif %}
        </option>
      {% endif %}
    {% endfor %}
  </select>
{% endapply %}
